html, body {
  height: 100%;
}

body {
  display: flex;
  flex-direction: column;
}

.footer {
  background: #355F80;
  color: white;
  padding: 20px 40px;
}

.footer-content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 0 auto;
}

.social {
  display: flex;
  align-items: center;
}

.social img {
  width: 24px;
  height: 24px;
  margin-left: 15px;
  transition: 0.3s;
}

.social img:hover {
  transform: scale(1.1);
}

@media screen and (max-width: 768px) {
    .footer {
        padding: 30px 20px;
    }

    .footer-content {
        flex-direction: column; 
        text-align: center;
        gap: 20px;
    }

    .social {
        margin-top: 10px;
        justify-content: center;
    }

    .social img {
        margin: 0 10px;
    }
}